at.chipkarte.client.elgaad.soap

## Class Metadaten

- Object
- - at.chipkarte.client.elgaad.soap.Metadaten

-     public class Metadaten
      extends Object

  Metadaten.
  Dieses Objekt kapselt die Parameter aus den XDS-Metadaten, als auch aus den CDA-Header-Informationen des CDA-Dokuments.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob die Metadaten zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.
  Hinweis: Für die Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`) gelten besondere Bedingungen (diese sind bei den Parametern entsprechend beschrieben), da die Medikationsliste aufgrund der vorhandenen Verordnungs-/Abgabedaten durch einen Algorithmus erzeugt und nicht ein abgelegtes Dokument abgefragt wird.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Metadaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssociationsObject[]` | `getAssociations()` Relationen der Dokumente.
    `Author[]` | `getAuthorList()` Informationen zu den Autoren des Dokuments.
    `String` | `getAvailabilityStatus()` Gültigkeitsstatus des Dokuments.
    `Code` | `getClassCode()` Dokumentenklassen (Oberklasse) des Dokuments.
    `String` | `getComments()` Kommentar zum Dokument.
    `Code` | `getConfidentialityCode()` Vertraulichkeitsstufe des Dokuments.
    `String` | `getCreationTime()` Erstellungszeitpunkt des Dokuments.
    `Custodian` | `getCustodian()` Verwahrer des Dokuments.
    `DokumentId` | `getDocumentId()` DokumententId.
    `Code[]` | `getEventCodeList()` Vollbrachte Gesundheitsdienstleistungen.
    `Code` | `getFormatCode()` Interoperabilitätsstufe des Dokuments.
    `Integer` | `getGroupnumber()` Nummer der Gruppe.
    `Integer` | `getGroupposition()` Position innerhalb einer Gruppe.
    `String` | `getHash()` Hashwert des Dokuments.
    `Code` | `getHealthcareFacilityTypeCode()` Klassifizierungen des GDA.
    `String` | `getLanguageCode()` Sprachcode des Dokuments.
    `LegalAuthenticator` | `getLegalAuthenticator()` Rechtlicher Unterzeichner des Dokuments.
    `String` | `getMimeType()` MimeType des Dokuments.
    `Id` | `getParentDocumentId()` Verweis auf ein referenziertes Dokument.
    `String` | `getParentDocumentRelationship()` Beziehung des Dokuments.
    `Code` | `getPracticeSettingCode()` Fachlichen Zuordnungen des Dokuments.
    `ReferenceId[]` | `getReferenceIdList()` Liste von zusätzlichen Identifikatoren.
    `String` | `getServiceStartTime()` Beginn der Gesundheitsleistung.
    `String` | `getServiceStopTime()` Ende der Gesundheitsleistung.
    `Long` | `getSize()` Größe des Dokuments in Byte.
    `PatientInfo` | `getSourcePatientInfo()` Demographische Daten des Patienten.
    `String` | `getSubmissionTime()` Veröffentlichungzeitpunkt.
    `String` | `getTitle()` Titel des Dokuments.
    `Code` | `getTypeCode()` Dokumententypen (Unterklasse) des Dokuments.
    `void` | `setAssociations(AssociationsObject[] associations)`
    `void` | `setAuthorList(Author[] authorList)`
    `void` | `setAvailabilityStatus(String availabilityStatus)`
    `void` | `setClassCode(Code classCode)`
    `void` | `setComments(String comments)`
    `void` | `setConfidentialityCode(Code confidentialityCode)`
    `void` | `setCreationTime(String creationTime)`
    `void` | `setCustodian(Custodian custodian)`
    `void` | `setDocumentId(DokumentId documentId)`
    `void` | `setEventCodeList(Code[] eventCodeList)`
    `void` | `setFormatCode(Code formatCode)`
    `void` | `setGroupnumber(Integer groupnumber)`
    `void` | `setGroupposition(Integer groupposition)`
    `void` | `setHash(String hash)`
    `void` | `setHealthcareFacilityTypeCode(Code healthcareFacilityTypeCode)`
    `void` | `setLanguageCode(String languageCode)`
    `void` | `setLegalAuthenticator(LegalAuthenticator legalAuthenticator)`
    `void` | `setMimeType(String mimeType)`
    `void` | `setParentDocumentId(Id parentDocumentId)`
    `void` | `setParentDocumentRelationship(String parentDocumentRelationship)`
    `void` | `setPracticeSettingCode(Code practiceSettingCode)`
    `void` | `setReferenceIdList(ReferenceId[] referenceIdList)`
    `void` | `setServiceStartTime(String serviceStartTime)`
    `void` | `setServiceStopTime(String serviceStopTime)`
    `void` | `setSize(Long size)`
    `void` | `setSourcePatientInfo(PatientInfo sourcePatientInfo)`
    `void` | `setSubmissionTime(String submissionTime)`
    `void` | `setTitle(String title)`
    `void` | `setTypeCode(Code typeCode)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Metadaten

          public Metadaten()

  - ### Method Detail

    - #### getAuthorList

          public Author[] getAuthorList()

      Informationen zu den Autoren des Dokuments. Siehe `Author`.
      Eingabebedingung:
      Erfassung: Kann. Wird kein Author angegeben, wird automatisch ein Author anhand der Daten des angemeldeten Vertragspartners bzw. des beim Dialogaufbaus angegebenen GDA-Mitarbeiters gesetzt.
      Änderung: Kann. Wird kein Author angegeben, wird automatisch ein Author anhand der Daten des angemeldeten Vertragspartners bzw. des beim Dialogaufbaus angegebenen GDA-Mitarbeiters gesetzt.
      Ausgabebedingung: Muss.
      Returns:
        Liste von Authoren

    - #### getClassCode

          public Code getClassCode()

      Dokumentenklassen (Oberklasse) des Dokuments. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_Dokumentenklassen (z.B. Code 18842-5)
      Returns:
        Dokumentenklasse

    - #### getConfidentialityCode

          public Code getConfidentialityCode()

      Vertraulichkeitsstufe des Dokuments. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_Confidentiality (z.B. N)
      Returns:
        Vertraulichkeitsstufe

    - #### getCreationTime

          public String getCreationTime()

      Erstellungszeitpunkt des Dokuments.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei den Metadaten der Medikationsliste.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Erstellzeitpunkt

    - #### getEventCodeList

          public Code[] getEventCodeList()

      Vollbrachte Gesundheitsdienstleistungen. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann. Nie befüllt bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_MedikationRezeptart_VS (z.B. KASSEN)
      Returns:
        Liste von Gesundheitsdienstleitungen

    - #### getLanguageCode

          public String getLanguageCode()

      Sprachcode des Dokuments.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      mögliche Werte: siehe Terminologieserver ELGA_LanguageCode (z.B. de-AT).
      Returns:
        Sprachecode

    - #### getLegalAuthenticator

          public LegalAuthenticator getLegalAuthenticator()

      Rechtlicher Unterzeichner des Dokuments. Siehe `LegalAuthenticator`.
      Eingabebedingung:
      Erfassung: Kann. Wird keine legalAuthenticator angegeben, wird der LegalAuthenticater anhand der Daten des ersten "author" übernommen.
      Änderung: Kann. Wird keine legalAuthenticator angegeben, wird der LegalAuthenticater anhand der Daten des ersten "author" übernommen.
      Ausgabebedingung: Kann. Nie befüllt bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      Returns:
        Unterzeichner

    - #### getServiceStartTime

          public String getServiceStartTime()

      Beginn der Gesundheitsleistung.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann. Nie befüllt bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Gesundheitsleistung Ab

    - #### getServiceStopTime

          public String getServiceStopTime()

      Ende der Gesundheitsleistung.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann. Nie befüllt bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Gesundheitsleistung Bis

    - #### getSubmissionTime

          public String getSubmissionTime()

      Veröffentlichungzeitpunkt.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann. Befüllt wenn bei der Abfrage der Dokumentationsübersicht (Funktion `dokumentenuebersichtAbrufen()`) nach Veröffentlichungzeitpunkt gefiltert wurde. Nie befüllt bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Veröffentlichungszeitpunkt

    - #### getSourcePatientInfo

          public PatientInfo getSourcePatientInfo()

      Demographische Daten des Patienten. Siehe `PatientInfo`.
      Eingabebedingung:
      Erfassung: Bedingt. Bei Verwendung einer VSNR im Request: Bei Nichtangabe werden die Personendaten anhand der im eCS bekannten Daten zur VSNR aus dem Request befüllt. Bei Verwednung einer EMED-ID im Request: zwingend anzugeben, bezüglich der notwendigen Daten innerhalb des Objektes siehe `PatientInfo`.
      Änderung: Bedingt. Bei Verwendung einer VSNR im Request: Bei Nichtangabe werden die Personendaten anhand der im eCS bekannten Daten zur VSNR aus dem Request befüllt. Bei Verwednung einer EMED-ID im Request: zwingend anzugeben, bezüglich der notwendigen Daten innerhalb des Objektes siehe `PatientInfo`.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      Returns:
        Demographische Patientendaten

    - #### getTitle

          public String getTitle()

      Titel des Dokuments.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      Format: alphanumerisch.
      Returns:
        Titel

    - #### getTypeCode

          public Code getTypeCode()

      Dokumententypen (Unterklasse) des Dokuments. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_Dokumentenklassen (z.B. Code 11490-0)
      Returns:
        Dokumententyp

    - #### getDocumentId

          public DokumentId getDocumentId()

      DokumententId. Siehe `DokumentId`.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      Returns:
        Id

    - #### getReferenceIdList

          public ReferenceId[] getReferenceIdList()

      Liste von zusätzlichen Identifikatoren.
      Wird in ELGA zur Kennzeichnung eines gemeinsamen Dokumentenstamms verwendet.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann. Nie befüllt bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      Returns:
        Liste von ReferenceIds

    - #### getAvailabilityStatus

          public String getAvailabilityStatus()

      Gültigkeitsstatus des Dokuments.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      mögliche Werte: siehe `AvailabilityStatusTypConstants`.
      Returns:
        Availibilitystatus

    - #### getFormatCode

          public Code getFormatCode()

      Interoperabilitätsstufe des Dokuments. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_FormatCode_VS (z.B. urn:elga:2015:EIS_Basic)
      Returns:
        Interoperabilitätsstufe

    - #### getHealthcareFacilityTypeCode

          public Code getHealthcareFacilityTypeCode()

      Klassifizierungen des GDA. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_HealthcareFacilityTypeCode (z.B. Code 100)
      Returns:
        GDA Klassifizierung

    - #### getMimeType

          public String getMimeType()

      MimeType des Dokuments.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      Format: alphanumerisch.
      Returns:
        MimeType

    - #### getParentDocumentId

          public Id getParentDocumentId()

      Verweis auf ein referenziertes Dokument. Siehe `Id`.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann. Nie befüllt bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      Returns:
        Dokumentenverweis

    - #### getParentDocumentRelationship

          public String getParentDocumentRelationship()

      Beziehung des Dokuments.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann. Nie befüllt bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      Returns:
        Dokumentenbeziehung

    - #### getPracticeSettingCode

          public Code getPracticeSettingCode()

      Fachlichen Zuordnungen des Dokuments. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_PracticeSetting_VS (z.B. Code F001)
      Returns:
        Fachliche Zuordnung

    - #### getComments

          public String getComments()

      Kommentar zum Dokument.
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann. Nie befüllt bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      Format: alphanumerisch.
      Returns:
        Kommentar

    - #### getHash

          public String getHash()

      Hashwert des Dokuments.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann. Nicht befüllt bei dne Metadaten der Medikationsliste (On-Demand-Dokument). Nie befüllt bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      Format: alphanumerisch.
      Returns:
        Hashwert

    - #### getSize

          public Long getSize()

      Größe des Dokuments in Byte.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann. Nicht befüllt bei dne Metadaten der Medikationsliste (On-Demand-Dokument). Nie befüllt bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      Format: Long.
      Returns:
        Dokumentengröße

    - #### getCustodian

          public Custodian getCustodian()

      Verwahrer des Dokuments. Siehe `Custodian`.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Bedingt. Immer befüllt, außer bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      Returns:
        Verwahrer

    - #### getGroupnumber

          public Integer getGroupnumber()

      Nummer der Gruppe.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann. Befüllt wenn bei der Abfrage der Dokumentationsübersicht (Funktion `dokumentenuebersichtAbrufen()`) angegeben wurde, dass eine Sortierung/Gruppierung gewünscht wird. Nie befüllt bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      Format: Long.
      Hinweis: Alle Befundmetadaten mit der gleichen ReferenzId (erste ReferenzId aus der ReferenzIdList) werden in eine Gruppe zusammengefasst und erhalten die selbe groupnumber (beginnend bei "0").
      Returns:
        Gruppennnummer

    - #### getGroupposition

          public Integer getGroupposition()

      Position innerhalb einer Gruppe.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann. Befüllt wenn bei der Abfrage der Dokumentationsübersicht (Funktion `dokumentenuebersichtAbrufen()`) angegeben wurde, dass eine Sortierung/Gruppierung gewünscht wird. Nie befüllt bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      Format: Long.
      Hinweis: Die Befundmetadaten innerhalb einer Gruppe werden zuerst nach Erstellzeitpunkt, dann nach Versionen (sofern zu einem Dokument mehrere Versionen vorhanden sind) ausgehend von jüngsten Version und anschließend nach dem Status sortiert. Die Position innerhalb einer Gruppe startet ebenfalls mit "0".
      Returns:
        Position innerhalb einer Gruppe

    - #### getAssociations

          public AssociationsObject[] getAssociations()

      Relationen der Dokumente. Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann. Befüllt wenn bei der Abfrage der Dokumentationsübersicht (Funktion `dokumentenuebersichtAbrufen()`) nach Veröffentlichungzeitpunkt gefiltert wurde. Nie befüllt bei den Metadaten für Abgaben / Verordnungen im Rahmen der Abfrage der Medikationsliste (siehe Funktion `medikationslisteAbrufen()`).
      Hinweis: Es können Dokumente referenziert werden, die nicht retourniert wurden weil sie nicht den Suchkriterien entsprechen.
      Returns:
        Liste von AssocationsObject

    - #### setAuthorList

          public void setAuthorList(Author[] authorList)

    - #### setClassCode

          public void setClassCode(Code classCode)

    - #### setConfidentialityCode

          public void setConfidentialityCode(Code confidentialityCode)

    - #### setCreationTime

          public void setCreationTime(String creationTime)

    - #### setEventCodeList

          public void setEventCodeList(Code[] eventCodeList)

    - #### setLanguageCode

          public void setLanguageCode(String languageCode)

    - #### setLegalAuthenticator

          public void setLegalAuthenticator(LegalAuthenticator legalAuthenticator)

    - #### setServiceStartTime

          public void setServiceStartTime(String serviceStartTime)

    - #### setServiceStopTime

          public void setServiceStopTime(String serviceStopTime)

    - #### setSubmissionTime

          public void setSubmissionTime(String submissionTime)

    - #### setSourcePatientInfo

          public void setSourcePatientInfo(PatientInfo sourcePatientInfo)

    - #### setTitle

          public void setTitle(String title)

    - #### setTypeCode

          public void setTypeCode(Code typeCode)

    - #### setDocumentId

          public void setDocumentId(DokumentId documentId)

    - #### setReferenceIdList

          public void setReferenceIdList(ReferenceId[] referenceIdList)

    - #### setAvailabilityStatus

          public void setAvailabilityStatus(String availabilityStatus)

    - #### setFormatCode

          public void setFormatCode(Code formatCode)

    - #### setHealthcareFacilityTypeCode

          public void setHealthcareFacilityTypeCode(Code healthcareFacilityTypeCode)

    - #### setMimeType

          public void setMimeType(String mimeType)

    - #### setParentDocumentId

          public void setParentDocumentId(Id parentDocumentId)

    - #### setParentDocumentRelationship

          public void setParentDocumentRelationship(String parentDocumentRelationship)

    - #### setPracticeSettingCode

          public void setPracticeSettingCode(Code practiceSettingCode)

    - #### setComments

          public void setComments(String comments)

    - #### setHash

          public void setHash(String hash)

    - #### setSize

          public void setSize(Long size)

    - #### setCustodian

          public void setCustodian(Custodian custodian)

    - #### setGroupnumber

          public void setGroupnumber(Integer groupnumber)

    - #### setGroupposition

          public void setGroupposition(Integer groupposition)

    - #### setAssociations

          public void setAssociations(AssociationsObject[] associations)